### Method

# Aravis Stream set_emit_signals

since: 0.2.0

#### Declaration [src]

    void
    arv_stream_set_emit_signals (
      ArvStream* stream,
      gboolean emit_signals
    )

#### Description [src]

Make `stream` emit signals. This option is by default disabled because signal emission is expensive and unneeded when the application prefers to operate in pull mode.

Available since: 0.2.0

Sets property | `Aravis.Stream:emit-signals`

#### Parameters

`emit_signals`

  Type: `gboolean`

  The new state.